package com.ss.android.ugc.aweme.friends.model;

import X.2GM;
import X.CqM;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class BackFromSettingEvent implements 2GM {
    public final String enterFrom;

    static {
        Covode.recordClassIndex(81191);
    }

    public final 2GM post() {
        CqM.LIZ(this);
        return this;
    }

    public final 2GM postSticky() {
        CqM.LIZIZ(this);
        return this;
    }

    public BackFromSettingEvent(String str) {
        M12.LIZ(str);
        this.enterFrom = str;
    }
}
